Subject: Re: [PATCH iproute2] tipc: introduce TIPC configuration tool

From: Pavel Simerda <[email-masked]>
Date: Thu, 4 Jun 2015 06:23:35 -0400 (EDT)

----- Original Message -----
> From: "Stephen Hemminger" <[email-masked]>
> To: "richard alpe" <[email-masked]>
> Cc: [email-masked], [email-masked]
> Sent: Thursday, May 21, 2015 11:43:40 PM
> Subject: Re: [PATCH iproute2] tipc: introduce TIPC configuration tool
> 
> On Thu, 7 May 2015 15:07:35 +0200
> <[email-masked]> wrote:
> 
> > From: Richard Alpe <[email-masked]>
> > 
> > This is the new tipc tool that utilizes the relativly new TIPC netlink API
> > in
> > the kernel. Introducing this tool into iproute2 has been discussed
> > previously.
> > 
> > For more information about the design decisions of this tool, see the
> > README
> > file.
> > 
> > There isn't yet a manpage for the this tool. I will start to write one once
> > I
> > submitted this for review.
> > 
> > Richard Alpe (1):
> >   tipc: add new TIPC configuration tool
> 
> I went ahead and merged this.
> It does add dependency on libmnl which the distribution maintainers will have
> to add to their stuff.

Does the new dependency suggest the whole iproute2 is moving to libmnl? Or is
there a good reason to use an external netlink library as well as an internal one?

Cheers,

Pavel

> 
> 
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>